Kommentar
Åtkomst till den här sidan kräver auktorisering. Du kan prova att logga in eller ändra kataloger.
Åtkomst till den här sidan kräver auktorisering. Du kan prova att ändra kataloger.
Create a sales quote line object in Business Central.
HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/salesQuotes({id})/salesQuoteLines
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body (v1.0)
In the request body, supply a JSON representation of a salesQuoteLines object.
Response (v1.0)
If successful, this method returns 201 Created response code and a salesQuoteLines object in the response body.
Example (v1.0)
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/salesQuotes({id})/salesQuoteLines
Content-type: application/json
{
"itemId": "id-value",
"lineType": "Item",
"quantity": 9
}
Related information
Tips for working with the APIs
Sales Quote Line
Get Sales Quote Line
Update Sales Quote Line
Delete Sales Quote Line